&apt-author.jgunthorpe; &apt-author.team; &apt-email; &apt-product; 2014-03-27T00:00:00Z
apt-extracttemplates
1
APT

# apt-extracttemplates

Utility to extract `debconf` config and templates from Debian packages

&synopsis-command-apt-extracttemplates;

## Description

`apt-extracttemplates` will take one or more Debian package files as input and write out (to a temporary directory) all associated config scripts and template files. For each passed in package that contains config scripts and templates, one line of output will be generated in the format:

package version template-file config-script

template-file and config-script are written to the temporary directory specified by the `-t` or `--tempdir` (`APT::ExtractTemplates::TempDir`) directory, with filenames of the form `package.template.XXXXXX` and `package.config.XXXXXX`

## options

&apt-cmdblurb;

`-t`
`--tempdir`

  Temporary directory in which to write extracted `debconf` template files and config scripts. Configuration Item: `APT::ExtractTemplates::TempDir`

&apt-commonoptions;

## See Also

&apt-conf;

## Diagnostics

`apt-extracttemplates` returns zero on normal operation, decimal 100 on error.

&manbugs;